
From: Olaf Hering <olh@suse.de>

Anton fixed the code recently, but forgot to fix the documentation.  There
is no "ia32" thing, its i386.  The other thing is named 'ia64' in arch/

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/vm/hugetlbpage.txt |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff -puN Documentation/vm/hugetlbpage.txt~fix-architecture-names-in-hugetlbpagetxt Documentation/vm/hugetlbpage.txt
--- 25/Documentation/vm/hugetlbpage.txt~fix-architecture-names-in-hugetlbpagetxt	2005-01-23 01:42:22.419077312 -0800
+++ 25-akpm/Documentation/vm/hugetlbpage.txt	2005-01-23 01:42:22.422076856 -0800
@@ -1,8 +1,8 @@
 
 The intent of this file is to give a brief summary of hugetlbpage support in
 the Linux kernel.  This support is built on top of multiple page size support
-that is provided by most modern architectures.  For example, IA-32
-architecture supports 4K and 4M (2M in PAE mode) page sizes, IA-64
+that is provided by most modern architectures.  For example, i386
+architecture supports 4K and 4M (2M in PAE mode) page sizes, ia64
 architecture supports multiple page sizes 4K, 8K, 64K, 256K, 1M, 4M, 16M,
 256M and ppc64 supports 4K and 16M.  A TLB is a cache of virtual-to-physical
 translations.  Typically this is a very scarce resource on processor.
@@ -107,10 +107,10 @@ mount of filesystem will be required for
  * SHM_HUGETLB in the shmget system call to inform the kernel that it is
  * requesting hugepages.
  *
- * For the IA-64 architecture, the Linux kernel reserves Region number 4 for
+ * For the ia64 architecture, the Linux kernel reserves Region number 4 for
  * hugepages.  That means the addresses starting with 0x800000... will need
  * to be specified.  Specifying a fixed address is not required on ppc64,
- * i386 or amd64.
+ * i386 or x86_64.
  *
  * Note: The default shared memory limit is quite low on many kernels,
  * you may need to increase it via:
@@ -139,8 +139,8 @@ mount of filesystem will be required for
 
 #define dprintf(x)  printf(x)
 
-/* Only IA64 requires this */
-#ifdef IA64
+/* Only ia64 requires this */
+#ifdef __ia64__
 #define ADDR (void *)(0x8000000000000000UL)
 #define SHMAT_FLAGS (SHM_RND)
 #else
@@ -204,10 +204,10 @@ int main(void)
  * example, the app is requesting memory of size 256MB that is backed by
  * huge pages.
  *
- * For IA-64 architecture, Linux kernel reserves Region number 4 for hugepages.
+ * For ia64 architecture, Linux kernel reserves Region number 4 for hugepages.
  * That means the addresses starting with 0x800000... will need to be
  * specified.  Specifying a fixed address is not required on ppc64, i386
- * or amd64.
+ * or x86_64.
  */
 #include <stdlib.h>
 #include <stdio.h>
@@ -219,8 +219,8 @@ int main(void)
 #define LENGTH (256UL*1024*1024)
 #define PROTECTION (PROT_READ | PROT_WRITE)
 
-/* Only IA64 requires this */
-#ifdef IA64
+/* Only ia64 requires this */
+#ifdef __ia64__
 #define ADDR (void *)(0x8000000000000000UL)
 #define FLAGS (MAP_SHARED | MAP_FIXED)
 #else
_
